OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_ReferenceArray Class Reference

`#include <PDataStd_ReferenceArray.hxx>`

Inheritance diagram for PDataStd_ReferenceArray:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_ReferenceArray ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer index, const Handle(PCollection_HExtendedString)&value)
Standard_EXPORT Handle_PCollection_HExtendedString | Value (const Standard_Integer index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
| PDataStd_ReferenceArray (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfExtendedString) _CSFDB_GetPDataStd_ReferenceArraymyValue() const
void | _CSFDB_SetPDataStd_ReferenceArraymyValue (const Handle(PColStd_HArray1OfExtendedString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_HArray1OfExtendedString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_ReferenceArray::PDataStd_ReferenceArray | ( |  | ) |

PDataStd_ReferenceArray::PDataStd_ReferenceArray | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_ReferenceArray::_CSFDB_SetPDataStd_ReferenceArraymyValue | ( | const Handle(PColStd_HArray1OfExtendedString)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_ReferenceArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_ReferenceArray::Handle | ( | PColStd_HArray1OfExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_ReferenceArray::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_ReferenceArray::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_ReferenceArray::SetValue | ( | const Standard_Integer | index,
|  | const Handle(PCollection_HExtendedString)& | value
| ) |

Standard_EXPORT Standard_Integer PDataStd_ReferenceArray::Upper | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_ReferenceArray::Value | ( | const Standard_Integer | index | ) | const

## Field Documentation

Handle_PColStd_HArray1OfExtendedString PDataStd_ReferenceArray::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_ReferenceArray.hxx